Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes

# DistributedNodeAI Class Reference

Inheritance diagram for DistributedNodeAI:

List of all members.

## Public Member Functions
def | __init__
def | b_setParent
| setParent ###
def | b_setPosHpr
def | b_setXYZH
def | d_setH
def | d_setHpr
def | d_setP
def | d_setParent
def | d_setPos
def | d_setPosHpr
def | d_setR
def | d_setX
| set pos and hpr functions #######
def | d_setXY
def | d_setXYH
def | d_setXYZH
def | d_setY
def | d_setZ
def | delete
def | do_setParent
def | getXYZH
def | setLocation
def | setParent
def | setParentStr
def | setXY
def | setXYH
def | setXYZH
## Public Attributes
| DistributedNodeAI_initialized
| gridParent

## Constructor & Destructor Documentation

def __init__ | ( |  | self,
|  |  | air,
|  |  | name = `None`
| ) |  |

Reimplemented in DistributedSmoothNodeAI.

## Member Function Documentation

def b_setParent | ( |  | self,
|  |  | parentToken
| ) |  |

setParent ###

def b_setPosHpr | ( |  | self,
|  |  | x,
|  |  | y,
|  |  | z,
|  |  | h,
|  |  | p,
|  |  | r
| ) |  |

def b_setXYZH | ( |  | self,
|  |  | x,
|  |  | y,
|  |  | z,
|  |  | h
| ) |  |

def d_setH | ( |  | self,
|  |  | h
| ) |  |

def d_setHpr | ( |  | self,
|  |  | h,
|  |  | p,
|  |  | r
| ) |  |

def d_setP | ( |  | self,
|  |  | p
| ) |  |

def d_setParent | ( |  | self,
|  |  | parentToken
| ) |  |

def d_setPos | ( |  | self,
|  |  | x,
|  |  | y,
|  |  | z
| ) |  |

def d_setPosHpr | ( |  | self,
|  |  | x,
|  |  | y,
|  |  | z,
|  |  | h,
|  |  | p,
|  |  | r
| ) |  |

def d_setR | ( |  | self,
|  |  | r
| ) |  |

def d_setX | ( |  | self,
|  |  | x
| ) |  |

set pos and hpr functions #######

def d_setXY | ( |  | self,
|  |  | x,
|  |  | y
| ) |  |

def d_setXYH | ( |  | self,
|  |  | x,
|  |  | y,
|  |  | h
| ) |  |

def d_setXYZH | ( |  | self,
|  |  | x,
|  |  | y,
|  |  | z,
|  |  | h
| ) |  |

def d_setY | ( |  | self,
|  |  | y
| ) |  |

def d_setZ | ( |  | self,
|  |  | z
| ) |  |

def delete | ( |  | self | ) |

    Inheritors should redefine this to take appropriate action on delete
    Note that this may be called multiple times if a class inherits
    from DistributedObjectAI more than once.

Reimplemented from DistributedObjectAI.

Reimplemented in DistributedSmoothNodeAI.

def do_setParent | ( |  | self,
|  |  | parentToken
| ) |  |

def getXYZH | ( |  | self | ) |

def setLocation | ( |  | self,
|  |  | parentId,
|  |  | zoneId,
|  |  | teleport = `0`
| ) |  |

def setParent | ( |  | self,
|  |  | parentToken
| ) |  |

def setParentStr | ( |  | self,
|  |  | parentToken
| ) |  |

def setXY | ( |  | self,
|  |  | x,
|  |  | y
| ) |  |

def setXYH | ( |  | self,
|  |  | x,
|  |  | y,
|  |  | h
| ) |  |

def setXYZH | ( |  | self,
|  |  | x,
|  |  | y,
|  |  | z,
|  |  | h
| ) |  |

## Member Data Documentation

DistributedNodeAI_initialized

gridParent

All Classes Namespaces Functions Variables Enumerations Enumerator Properties